Skip to content

V2.1

Powered by updated AI technology and new style templates, the platform can create new hairstyles, apply specific template‑based looks, and transfer styles from user‑provided reference images.

List predefined templates v2.1.

Request

Security
BearerAuthenticationV2
Query
page_sizeinteger

Number of results to return in this page. Valid value should be between 1 and 20. Default 20.

Example:page_size=20
starting_tokenstring

Token for current page. Start with null for the first page, and use next_token from the previous response to start next page

Example:starting_token=73a3c9e69b89
GET
/s2s/v2.1/task/template/hair-transfer
curl -i -X GET \
  'https://yce-api-01.makeupar.com/s2s/v2.1/task/template/hair-transfer?page_size=20&starting_token=73a3c9e69b89' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Successful retrieval of styles

Bodyapplication/json
statusinteger

Response status

Example:200
dataobject
Response
{ "status": 200, "data": { "templates": [ … ], "next_token": "73a3c9e69b89" } }